.athlete {
  padding: 0 20px;
  margin: 0 auto;
  width: 80%;

  h2 {
    border-bottom: 1px solid $red;
    margin-top: 50px;
  }

  &__details {
    display: flex;
    flex-direction: row;
    width: 100%;

    &-personal {
      display: flex;
      flex-direction: column;
      flex: 0.5;

      label {
        display: flex;
        flex-direction: row;
        margin: 5px 0;
        width: 100%;

        span {
          flex: 0.30;
          padding: 10px;
          text-align: left;
        }

        input {
          border: 1px solid $grey;
          border-radius: 4px;
          flex: 0.6;
          padding: 10px;
          transition: 0.5s;

          &:focus {
            border: 1px solid $green;
          }
        }
      }

      button {
        margin-left: calc(30% + 6px);
        margin-top: 5px;
        min-width: 100px;
        width: 60%;
      }
    }

    &-results {
      flex: 0.5;

      h4 {
        margin-top: 0;
      }
    }
  }

  &__attendance {
    display: flex;
    justify-content: left;
    width: 100%;

    &-heatmap {
      display: flex;
      justify-content: center;
      flex: 0.7;

      .react-calendar-heatmap {
        width: 75%;
        max-width: 750px;
        
        &:hover {
          cursor: pointer;
        }
      }
    }

    &-details {
      padding: 10px;
      display: flex;
      flex: 0.3;
      flex-direction: column;
      justify-content: left;
      margin-top: auto;
      margin-bottom: auto;
    }
  }

  &__trainings {
    display: flex;
    justify-content: left;
    flex-wrap: wrap;
    flex-direction: row;
    margin-bottom: 50px;
  }
}